package org.gcube.datacatalogue.grsf_manage_widget.shared;

import java.io.Serializable;


/**
 * Connect the current record with another record
 * @author Costantino Perciante at ISTI-CNR (costantino.perciante@isti.cnr.it)
 */
public class ConnectedBean implements Serializable{

	private static final long serialVersionUID = -4863776727351488790L;
	private String destKnowledgeBaseId; // the dest identifier of a Fishery or Stock (the link is from a Stock to a Fishery and vice versa)
	private String destName;
	private String destUrl;
	private String destSemanticIdentifier;
	private String destDomain; // please note that this MUST be different from sourceDomain
	private boolean remove;
	private boolean connect;

	public ConnectedBean() {
		super();
	}

	/**
	 * @param sourceKnowledgeBaseId
	 * @param sourceDomain
	 * @param sourceUrl
	 * @param destKnowledgeBaseId
	 * @param destTitle
	 * @param destUrl
	 * @param remove
	 * @param connect
	 */
	public ConnectedBean(
			String destKnowledgeBaseId, 
			String destName,
			String destUrl, 
			String destDomain,
			String destSemanticIdentifier) {
		super();
		this.destKnowledgeBaseId = destKnowledgeBaseId;
		this.destName = destName;
		this.destUrl = destUrl;
		this.destDomain = destDomain;
		this.destSemanticIdentifier = destSemanticIdentifier;
	}

	public boolean isConnect() {
		return connect;
	}

	public void setConnect(boolean connect) {
		this.connect = connect;
	}

	public String getDestKnowledgeBaseId() {
		return destKnowledgeBaseId;
	}

	public void setDestKnowledgeBaseId(String destKnowledgeBaseId) {
		this.destKnowledgeBaseId = destKnowledgeBaseId;
	}

	public boolean isRemove() {
		return remove;
	}

	public void setRemove(boolean remove) {
		this.remove = remove;
	}

	public String getDestName() {
		return destName;
	}

	public void setDestName(String destName) {
		this.destName = destName;
	}

	public String getDestUrl() {
		return destUrl;
	}

	public void setDestUrl(String destUrl) {
		this.destUrl = destUrl;
	}

	public String getDestDomain() {
		return destDomain;
	}

	public void setDestDomain(String destDomain) {
		this.destDomain = destDomain;
	}

	public String getDestSemanticIdentifier() {
		return destSemanticIdentifier;
	}

	public void setDestSemanticIdentifier(String destSemanticIdentifier) {
		this.destSemanticIdentifier = destSemanticIdentifier;
	}

	@Override
	public String toString() {
		return "ConnectedBean [destKnowledgeBaseId=" + destKnowledgeBaseId
				+ ", destName=" + destName + ", destUrl=" + destUrl
				+ ", destSemanticIdentifier=" + destSemanticIdentifier
				+ ", destDomain=" + destDomain + ", remove=" + remove
				+ ", connect=" + connect + "]";
	}

}
